Posts by tschensie

    Hi.
    I'll be not at home for a few weeks and I wan't to connect to my home-lan via vpn to access the omv-server, printer etc.
    The VPN-connection via my AVM fritz 7390 router doesn't really work.
    So i like to try setting up an openvpn access server to connect my notebook.
    But I can't find a howto for this.
    I've enabled the vpn-repositories, but can't see any vpn-plugin..... (runnig kralizek an wheezy).


    When I try to update the plugin page I get the following error:

    Code
    Page
    of 1
    1 - 23 von 23 angezeigt
    Failed to execute command 'export LANG=C; apt-get update 2>&1': Ign file: Release.gpg Ign file: Release Ign file: Translation-en Ign file: Translation-de Ign file: Translation-de_DE Hit http://packages.openmediavault.org kralizec Release.gpg Ign http://dh2k.omv-extras.org kralizec-vpn Release.gpg Hit http://packages.openmediavault.org kralizec Release Hit http://security.debian.org wheezy/updates Release.gpg Ign http://shell.ninthgate.se wheezy Release.gpg Hit http://ftp.de.debian.org wheezy Release.gpg Hit http://dh2k.omv-extras.org kralizec-vpn Release Hit http://packages.openmediavault.org kralizec/main amd64 Packages Hit http://security.debian.org wheezy/updates Release Ign http://dh2k.omv-extras.org kralizec-vpn/main amd64 Packages/DiffIndex Ign http://shell.ninthgate.se wheezy Release Hit http://ftp.de.debian.org wheezy-updates Release.gpg Hit http://security.debian.org wheezy/updates/main Sources Hit http://ftp.de.debian.org wheezy Release Hit http://security.debian.org wheezy/updates/contrib Sources Hit http://http.us.debian.org squeeze Release.gpg Hit http://ftp.de.debian.org wheezy-updates Release Hit http://packages.omv-extras.org kralizec Release.gpg Hit http://security.debian.org wheezy/updates/main amd64 Packages Hit http://debian.linuxmint.com testing Release.gpg Hit http://ftp.de.debian.org wheezy/main Sources Hit http://security.debian.org wheezy/updates/contrib amd64 Packages Hit http://ftp.de.debian.org wheezy/main amd64 Packages Hit http://security.debian.org wheezy/updates/contrib Translation-en Hit http://http.us.debian.org squeeze Release Hit http://ftp.de.debian.org wheezy/main Translation-en Hit http://packages.omv-extras.org kralizec-plex Release.gpg Hit http://security.debian.org wheezy/updates/main Translation-en Hit http://ftp.de.debian.org wheezy/main Translation-de Hit http://debian.linuxmint.com testing Release Hit http://ftp.de.debian.org wheezy/main Translation-de_DE Hit http://http.us.debian.org squeeze/main Sources Hit http://packages.omv-extras.org kralizec Release Hit http://ftp.de.debian.org wheezy-updates/main Sources Ign http://packages.openmediavault.org kralizec/main Translation-en Ign http://packages.openmediavault.org kralizec/main Translation-de Hit http://ftp.de.debian.org wheezy-updates/contrib Sources Hit http://debian.linuxmint.com testing/main amd64 Packages Ign http://packages.openmediavault.org kralizec/main Translation-de_DE Hit http://http.us.debian.org squeeze/contrib Sources Hit http://ftp.de.debian.org wheezy-updates/main amd64 Packages/DiffIndex Hit http://packages.omv-extras.org kralizec-plex Release Hit http://ftp.de.debian.org wheezy-updates/contrib amd64 Packages Hit http://dh2k.omv-extras.org kralizec-vpn/main amd64 Packages Hit http://ftp.de.debian.org wheezy-updates/contrib Translation-en Hit http://debian.linuxmint.com testing/non-free amd64 Packages Hit http://http.us.debian.org squeeze/non-free Sources Hit http://ftp.de.debian.org wheezy-updates/main Translation-en/DiffIndex Hit http://packages.omv-extras.org kralizec/main amd64 Packages Ign http://dh2k.omv-extras.org kralizec-vpn/main Translation-en Hit http://http.us.debian.org squeeze/main amd64 Packages Ign http://dh2k.omv-extras.org kralizec-vpn/main Translation-de Ign http://dh2k.omv-extras.org kralizec-vpn/main Translation-de_DE Hit http://http.us.debian.org squeeze/contrib amd64 Packages Err http://shell.ninthgate.se wheezy/main amd64 Packages 404 Not Found Ign http://shell.ninthgate.se wheezy/main Translation-en Hit http://http.us.debian.org squeeze/non-free amd64 Packages Hit http://http.us.debian.org squeeze/main Translation-de Ign http://shell.ninthgate.se wheezy/main Translation-de Ign http://shell.ninthgate.se wheezy/main Translation-de_DE Hit http://packages.omv-extras.org kralizec-plex/main amd64 Packages Ign http://packages.omv-extras.org kralizec/main Translation-en Ign http://packages.omv-extras.org kralizec/main Translation-de Ign http://debian.linuxmint.com testing/main Translation-en Ign http://packages.omv-extras.org kralizec/main Translation-de_DE Ign http://debian.linuxmint.com testing/main Translation-de Ign http://packages.omv-extras.org kralizec-plex/main Translation-en Ign http://debian.linuxmint.com testing/main Translation-de_DE Ign http://packages.omv-extras.org kralizec-plex/main Translation-de Ign http://debian.linuxmint.com testing/non-free Translation-en Ign http://packages.omv-extras.org kralizec-plex/main Translation-de_DE Ign http://debian.linuxmint.com testing/non-free Translation-de Ign http://debian.linuxmint.com testing/non-free Translation-de_DE W: Failed to fetch http://shell.ninthgate.se/packages/debian/dists/wheezy/main/binary-amd64/Packages 404 Not Found E: Some index files failed to download. They have been ignored, or old ones used instead.
    Fehler #4000: exception 'OMVException' with message 'Failed to execute command 'export LANG=C; apt-get update 2>&1': Ign file: Release.gpg Ign file: Release Ign file: Translation-en Ign file: Translation-de Ign file: Translation-de_DE Hit http://packages.openmediavault.org kralizec Release.gpg Ign http://dh2k.omv-extras.org kralizec-vpn Release.gpg Hit http://packages.openmediavault.org kralizec Release Hit http://security.debian.org wheezy/updates Release.gpg Ign http://shell.ninthgate.se wheezy Release.gpg Hit http://ftp.de.debian.org wheezy Release.gpg Hit http://dh2k.omv-extras.org kralizec-vpn Release Hit http://packages.openmediavault.org kralizec/main amd64 Packages Hit http://security.debian.org wheezy/updates Release Ign http://dh2k.omv-extras.org kralizec-vpn/main amd64 Packages/DiffIndex Ign http://shell.ninthgate.se wheezy Release Hit http://ftp.de.debian.org wheezy-updates Release.gpg Hit http://security.debian.org wheezy/updates/main Sources Hit http://ftp.de.debian.org wheezy Release Hit http://security.debian.org wheezy/updates/contrib Sources Hit http://http.us.debian.org squeeze Release.gpg Hit http://ftp.de.debian.org wheezy-updates Release Hit http://packages.omv-extras.org kralizec Release.gpg Hit http://security.debian.org wheezy/updates/main amd64 Packages Hit http://debian.linuxmint.com testing Release.gpg Hit http://ftp.de.debian.org wheezy/main Sources Hit http://security.debian.org wheezy/updates/contrib amd64 Packages Hit http://ftp.de.debian.org wheezy/main amd64 Packages Hit http://security.debian.org wheezy/updates/contrib Translation-en Hit http://http.us.debian.org squeeze Release Hit http://ftp.de.debian.org wheezy/main Translation-en Hit http://packages.omv-extras.org kralizec-plex Release.gpg Hit http://security.debian.org wheezy/updates/main Translation-en Hit http://ftp.de.debian.org wheezy/main Translation-de Hit http://debian.linuxmint.com testing Release Hit http://ftp.de.debian.org wheezy/main Translation-de_DE Hit http://http.us.debian.org squeeze/main Sources Hit http://packages.omv-extras.org kralizec Release Hit http://ftp.de.debian.org wheezy-updates/main Sources Ign http://packages.openmediavault.org kralizec/main Translation-en Ign http://packages.openmediavault.org kralizec/main Translation-de Hit http://ftp.de.debian.org wheezy-updates/contrib Sources Hit http://debian.linuxmint.com testing/main amd64 Packages Ign http://packages.openmediavault.org kralizec/main Translation-de_DE Hit http://http.us.debian.org squeeze/contrib Sources Hit http://ftp.de.debian.org wheezy-updates/main amd64 Packages/DiffIndex Hit http://packages.omv-extras.org kralizec-plex Release Hit http://ftp.de.debian.org wheezy-updates/contrib amd64 Packages Hit http://dh2k.omv-extras.org kralizec-vpn/main amd64 Packages Hit http://ftp.de.debian.org wheezy-updates/contrib Translation-en Hit http://debian.linuxmint.com testing/non-free amd64 Packages Hit http://http.us.debian.org squeeze/non-free Sources Hit http://ftp.de.debian.org wheezy-updates/main Translation-en/DiffIndex Hit http://packages.omv-extras.org kralizec/main amd64 Packages Ign http://dh2k.omv-extras.org kralizec-vpn/main Translation-en Hit http://http.us.debian.org squeeze/main amd64 Packages Ign http://dh2k.omv-extras.org kralizec-vpn/main Translation-de Ign http://dh2k.omv-extras.org kralizec-vpn/main Translation-de_DE Hit http://http.us.debian.org squeeze/contrib amd64 Packages Err http://shell.ninthgate.se wheezy/main amd64 Packages 404 Not Found Ign http://shell.ninthgate.se wheezy/main Translation-en Hit http://http.us.debian.org squeeze/non-free amd64 Packages Hit http://http.us.debian.org squeeze/main Translation-de Ign http://shell.ninthgate.se wheezy/main Translation-de Ign http://shell.ninthgate.se wheezy/main Translation-de_DE Hit http://packages.omv-extras.org kralizec-plex/main amd64 Packages Ign http://packages.omv-extras.org kralizec/main Translation-en Ign http://packages.omv-extras.org kralizec/main Translation-de Ign http://debian.linuxmint.com testing/main Translation-en Ign http://packages.omv-extras.org kralizec/main Translation-de_DE Ign http://debian.linuxmint.com testing/main Translation-de Ign http://packages.omv-extras.org kralizec-plex/main Translation-en Ign http://debian.linuxmint.com testing/main Translation-de_DE Ign http://packages.omv-extras.org kralizec-plex/main Translation-de Ign http://debian.linuxmint.com testing/non-free Translation-en Ign http://packages.omv-extras.org kralizec-plex/main Translation-de_DE Ign http://debian.linuxmint.com testing/non-free Translation-de Ign http://debian.linuxmint.com testing/non-free Translation-de_DE W: Failed to fetch http://shell.ninthgate.se/packages/debian/dists/wheezy/main/binary-amd64/Packages 404 Not Found E: Some index files failed to download. They have been ignored, or old ones used instead.' in /usr/share/openmediavault/engined/rpc/apt.inc:277 Stack trace: #0 [internal function]: OMVRpcServiceApt->update(NULL, Array) #1 /usr/share/php/openmediavault/rpcservice.inc(125): call_user_func_array(Array, Array) #2 /usr/share/php/openmediavault/rpc.inc(79): OMVRpcServiceAbstract->callMethod('update', NULL, Array) #3 /usr/sbin/omv-engined(495): OMVRpc::exec('Apt', 'update', NULL, Array, 1) #4 {main}


    Does anyone have a link to a howto for setting up the server in debian ?


    Thx.

    No, I added nothing to the repos.


    Like I wrote: clean wheezy install, kralicek via apt, omv-extras, plex as plugin, sab via scipt and at least build essientials and unrar 5.
    Nothing else, no editing of any file.

    You could try to install a backport kernel.
    I had the same problem on my old 0.4 install.
    The system ran just fine, but when I tried to copy files via smb it freezes.
    After installing the backport kernel everthing was fine.
    But you really should use a hdd or ssd. I've also tried my first install on usb stick. And the server just worked max. 1 day without problems.....

    The error was shown after the install of build-essential.
    I made a screenshot of it:

    OK, I'm back again....
    I wasn't able to recover the filesystem.
    So I booted gparted, deleted the filesystem, did a new install of wheezy and omv, reassambled the raid, created a new filesystem, installed plex an sab and everything was fine.


    But after installing winrar 5 i have the same downloader-error again.
    I installed it like jmiller mentioned:


    Code
    wget http://www.rarlab.com/rar/unrarsrc-5.1.5.tar.gz
    tar zxf unrarsrc-5.1.5.tar.gz
    cd unrar
    make -f makefile
    install -v -m755 unrar /usr/bin


    I had to install build-essential for this, and after the install of build-essential the downloader-error came back....

    How big is the boot partition ?
    I had the same problem. You can't boot debian from usb-disks bigger than ~240GB.
    I had the problem with a 500GB usb-disk.
    You can install it, but not boot.
    I made a partition of 240gb and installed into this one. After this the system booted.

    Yeah, of course I did a reboot......


    But now I got a bunch of problems.
    During shutdown the system freezes.
    So I had to to a "cold boot".
    Now my filesystems are corrupted and the raid is resynching.
    I can't unmount the filesystem for repair because it's in use......

    :( No luck:


    The file is not there.
    So I uninstalled omv extras, but it is still marked as installed.
    I can't install it again.


    EDIT: Now it works. First try apt-get said the package could not be found. So I uploaded it again in the plugin-page, after this i could install it again.


    Now I can see the services again, but still got the error after apt-get update:


    Code
    [code]Creating index of upgradeable packages ...
    Creating index of OpenMediaVault plugins ...
    {"response":null,"error":{"code":4000,"message":"Failed to execute command 'export LANG=C; apt-get --simulate --reinstall install openmediavault-downloader 2>&1': Reading package lists...\n\nBuilding dependency tree...\n\nReading state information...\n\nSome packages could not be installed. This may mean that you have\nrequested an impossible situation or if you are using the unstable\ndistribution that some required packages have not yet been created\nor been moved out of Incoming.\nThe following information may help to resolve the situation:\n\nThe following packages have unmet dependencies:\n openmediavault-downloader : Depends: libav-tools but it is not going to be installed\nE\n:\nUnable to correct problems, you have held broken packages.\n","trace":"exception 'OMVException' with message 'Failed to execute command 'export LANG=C; apt-get --simulate --reinstall install openmediavault-downloader 2>&1': Reading package lists...\n\nBuilding dependency tree...\n\nReading state information...\n\nSome packages could not be installed. This may mean that you have\nrequested an impossible situation or if you are using the unstable\ndistribution that some required packages have not yet been created\nor been moved out of Incoming.\nThe following information may help to resolve the situation:\n\nThe following packages have unmet dependencies:\n openmediavault-downloader : Depends: libav-tools but it is not going to be installed\nE\n:\nUnable to correct problems, you have held broken packages.\n' in \/usr\/share\/openmediavault\/engined\/rpc\/pluginmgmt.inc:382\nStack trace:\n#0 [internal function]: OMVRpcServicePluginMgmt->createIndex(Array, Array)\n#1 \/usr\/share\/php\/openmediavault\/rpcservice.inc(125): call_user_func_array(Array, Array)\n#2 \/usr\/share\/php\/openmediavault\/rpc.inc(79): OMVRpcServiceAbstract->callMethod('createIndex', Array, Array)\n#3 \/usr\/sbin\/omv-engined(495): OMVRpc::exec('Plugin', 'createIndex', Array, Array, 1)\n#4 {main}"}}
    Paketlisten werden gelesen... Fertig

    [/code]

    No, there's no entry "mcmyadmin".


    When I look in the file /usr/share/openmediavault/engined/rpc/services.inc there's a section "get the list of registered modules" and after this it tries to get the status of each module.
    It seems that the mcmyadmin-service ist still registered.

    The file /usr/share/openmediavault/engined/module/mcmyadmin.inc isn't there.


    sources.list changed, still the same error after apt-get update:


    Code
    Creating index of upgradeable packages ...
    Creating index of OpenMediaVault plugins ...
    {"response":null,"error":{"code":4000,"message":"Failed to execute command 'export LANG=C; apt-get --simulate --reinstall install openmediavault-downloader 2>&1': Reading package lists...\n\nBuilding dependency tree...\n\nReading state information...\n\nSome packages could not be installed. This may mean that you have\nrequested an impossible situation or if you are using the unstable\ndistribution that some required packages have not yet been created\nor been moved out of Incoming.\nThe following information may help to resolve the situation:\n\nThe following packages have unmet dependencies:\n openmediavault-downloader : Depends: libav-tools but it is not going to be installed\nE: Unable to correct problems, you have held broken packages.","trace":"exception 'OMVException' with message 'Failed to execute command 'export LANG=C; apt-get --simulate --reinstall install openmediavault-downloader 2>&1': Reading package lists...\n\nBuilding dependency tree...\n\nReading state information...\n\nSome packages could not be installed. This may mean that you have\nrequested an impossible situation or if you are using the unstable\ndistribution that some required packages have not yet been created\nor been moved out of Incoming.\nThe following information may help to resolve the situation:\n\nThe following packages have unmet dependencies:\n openmediavault-downloader : Depends: libav-tools but it is not going to be installed\nE: Unable to correct problems, you have held broken packages.' in \/usr\/share\/openmediavault\/engined\/rpc\/pluginmgmt.inc:382\nStack trace:\n#0 [internal function]: OMVRpcServicePluginMgmt->createIndex(Array, Array)\n#1 \/usr\/share\/php\/openmediavault\/rpcservice.inc(125): call_user_func_array(Array, Array)\n#2 \/usr\/share\/php\/openmediavault\/rpc.inc(79): OMVRpcServiceAbstract->callMethod('createIndex', Array, Array)\n#3 \/usr\/sbin\/omv-engined(495): OMVRpc::exec('Plugin', 'createIndex', Array, Array, 1)\n#4 {main}"}}
    Paketlisten werden gelesen... Fertig
    root@nas:~#

    My sources-list:


    Only thing I changed was the # in front of the cdrom entry


    @Ryeco: worked. reinstall an deinstall worked, mcmyadmin is gone. No menu-enty left under services, but when I try to look at diagnistics/services I get the following error: